Memory Stores
List memory items
Returns memory items from the specified memory store.
헤더 매개 변수
Foundry-Features
enum
필수
A feature flag opt-in required when using preview operations or modifying persisted preview resources.
경로 매개 변수
name
string
필수
The name of the memory store.
쿼리 매개 변수
kind
string | enum
The kind of the memory item.
enum
limit
integer
A limit on the number of objects to be returned. Limit can range between 1 and 100, and the default is 20.
order
enum
Sort order by the created_at timestamp of the objects. asc for ascending order anddesc
for descending order.
after
string
A cursor for use in pagination. after is an object ID that defines your place in the list.
For instance, if you make a list request and receive 100 objects, ending with obj_foo, your
subsequent call can include after=obj_foo in order to fetch the next page of the list.
before
string
A cursor for use in pagination. before is an object ID that defines your place in the list.
For instance, if you make a list request and receive 100 objects, ending with obj_foo, your
subsequent call can include before=obj_foo in order to fetch the previous page of the list.
api-version
string
필수
The API version to use for this operation.
요청 본문
scope
string
필수
The namespace that logically groups and isolates memories, such as a user ID.
응답
The request has succeeded.
본문
data
MemoryItem[]
필수
The requested list of items.
first_id
string
The first ID represented in this list.
last_id
string
The last ID represented in this list.
has_more
boolean
필수
A value indicating whether there are additional values available not captured in this list.
요청
POST /memory_stores/{name}/items:list HTTP/1.1
응답
Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json